%define rel 1
%define subrel 1

Name:       kgpg
Summary:    Control your GPG keys
Version: 4.8.5
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://utils.kde.org/projects/kgpg
Source0:    ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kdepimlibs4-devel >= 2:%version
Requires: kdebase4-runtime
Conflicts: kdeutils4-core < 4.5.72
Suggests: kgpg-handbook

%description
KGpg is a simple interface for GnuPG, a powerful encryption utility.

%files
%_kde_appsdir/kgpg/
%_kde_bindir/kgpg
%_kde_iconsdir/*/*/apps/kgpg.*
%_kde_applicationsdir/kgpg.desktop
%_kde_services/ServiceMenus/encryptfile.desktop
%_kde_services/ServiceMenus/encryptfolder.desktop
%_kde_services/ServiceMenus/viewdecrypted.desktop
%_kde_datadir/autostart/kgpg.desktop
%_kde_datadir/config.kcfg/kgpg.kcfg
%_datadir/dbus-1/interfaces/org.kde.kgpg.Key.xml

#------------------------------------------------------------------------------

%package -n kgpg-handbook
Summary: kgpg Handbook
Conflicts: kgpg < 4.7.1
Requires:  kgpg >= %{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description -n kgpg-handbook
This package provides kgpg Handbook.

%files -n kgpg-handbook
%doc AUTHORS COPYING TODO
%docdir %_kde_docdir
%_kde_docdir/HTML/en/kgpg/

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON 
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Mon Aug 06 2012 mikala <mikala> 4.8.5-1.1.mga2
+ Revision: 279147
- Update tarball to KDE SC 4.8.5
- Update tarball to 4.8.4
- Add missing requires on handbook subpackage

  + fwang <fwang>
    - new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221481
- New upstream tarball

* Tue Jan 24 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 200596
- Updating tarball to KDE 4.8.0
- drop patch0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191530
- Add patch0 from upstream to add missing add_definition() calls
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186364
- Update tarball to KDE 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181488
- imported package kgpg

